import 'package:flutter/material.dart';
import 'package:file_cache/file_cache.dart';

class FileCacheTestFrame extends StatefulWidget {
  createState() => _FileCacheTestFrameState();
}

class _FileCacheTestFrameState extends State<FileCacheTestFrame> {
  Map _map;
  CacheEntry _entry;

  FileCache _fileCache;

  @override
  initState() {
    super.initState();

    FileCache.fromDefault().then((fileCache) {
      fileCache.load('http://httpbin.org/cache/60').then((entry) {
        setState(() => _entry = entry);
      });

      fileCache.getJson('http://httpbin.org/cache/600').then((map) {
        setState(() => _map = map);
      });
      setState(() => _fileCache = fileCache);
    });
  }

  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
          child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Image(
            image: FileCacheImage(
              'https://pub.dev/static/img/pub-dev-icon-cover-image.png',
            ),
          ),
          if (_entry) Text("entry ttl: ${_entry.ttl}"),
          if (_map) Text('map: $_map'),
          if (fileCache) Text(fileCache.stats.toString()),
        ],
      )),
    );
  }
}

void main() async {
  WidgetsFlutterBinding.ensureInitialized();

  runApp(MaterialApp(home: FileCacheTestFrame()));
}
